<bugID>1280937<Summary>[meta] Animation Inspector panel v5</Summary><Description>Post-animation meeting in Mozlondon master list of improvements we&#8217;d like to make to the animation tools currently in Firefox.

Actionable Next-Steps
- It would be nice to have gif groups on animations, similar to Chrome. There seems to be some difficult implementation details to this (see this screenshot, where the gif captured is actually capturing the entire page of Codepen, not the animation in the iframe: http://cl.ly/3l2O0R0H3X2X) but as an implementation for discovering parts of the animation in a way that is not text-based it&#8217;s pretty great.
- We would like to be about to zoom in and out the time scale. After Effects does this with a little mountain icon: http://cl.ly/1Q2o1h0l0M0Q in which moving the slider affects how zoomed in the timeline is: http://cl.ly/2R1b0F1l2f34 vs. http://cl.ly/021B3O3N1v1V I imagine we&#8217;ll be copying this UX pattern.
- daisuke and bbirtles have really nice graphs that show distance that would be excellent to get into the timeline. Could either of you attach a photo of that to the bug? It was a cool way to represent properties changing and I imagine there will be questions about implementation.

Actionable Next-Steps That Have No Clear UI Implementation
- We would like to easily open the animation panel to 100% width. More complex animations often need a lot of horizontal space, so creating a way to expand to 100% width, a way to get out, and then remembering that as a preference seems like a good idea.
- We need to discuss how we&#8217;ll export changes you&#8217;ve created. I know that gl has been thinking about this for the Style Editor as well, but we definitely need a clear way to export a diff or changes authored in the tool if we want people to be able to fiddle with their animations in this tool in a serious way.
- We&#8217;d like to have the cubic-b&#233;zier editor in the animation panel on keyframes. Currently this is a popup. We might want this to be inline like the editors? I&#8217;m not certain. In any case, having this in the animation panel would be good.
- We&#8217;d like to edit keyframes. After Effects does this in a way that I found difficult to use when I was a beginner: http://cl.ly/1S032l1z320d I think it would be worth thinking through why they chose this implementation instead of editing the keyframe values where the keyframes are on the timeline, and then figuring out if those particular use cases affect us.
- We&#8217;d like to add and remove properties. So we&#8217;ll need an &#8220;adding&#8221; area where that seems to make sense.

Javascript
- We touched briefly on how this panel acts if someone&#8217;s creating animations with Javascript. We might need to make some difficult decisions about what this panel can and can&#8217;t do as its features grow.

Future Ideas, Not Actionable/Captured in this meta bug
- We might consider suggesting other easing functions/delays to the user. There were some great suggestions last week about this, namely daisuke&#8217;s six-panel UI that showed different alternatives on an animation. There was also discussion around offering physics-engine-type animation eases. We could also talk to Daniel Eden about animate.css, which might be cool to have natively in devtools.

Sorry for the wall of text, but there were so many discussions around animation tooling I thought it would be helpful to have a central place to capture them.</Description></bugID>